=== debian/changelog ===
ros-indigo-transmission-interface (0.9.7-0trusty) trusty; urgency=high

  * Introduce shared_ptr typedefs
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 18 May 2018 23:00:00 -0000

ros-indigo-transmission-interface (0.9.6-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-indigo-transmission-interface (0.9.5-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-indigo-transmission-interface (0.9.4-0trusty) trusty; urgency=high

  * Clarify that hardwareInterface element is optional for actuators
  * Allow loading transmissions from a vector of TransmissionInfo instances.
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 12 Feb 2016 00:00:00 -0000

ros-indigo-transmission-interface (0.9.3-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-indigo-transmission-interface (0.9.2-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-indigo-transmission-interface (0.9.1-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-indigo-transmission-interface (0.9.0-0trusty) trusty; urgency=high

  * Buildsystem and documentation fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, shadowmanos

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-indigo-transmission-interface (0.8.2-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-indigo-transmission-interface (0.8.1-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-indigo-transmission-interface (0.8.0-0trusty) trusty; urgency=high

  * Add developer documentation.
  * Build script fixes.
    - Add missing libraries to catkin_package call.
    - Gate tests with CATKIN_ENABLE_TESTING.
    - Add missing files to install target.
  * Fix possible memory corruption in tests.
  * Perform sanity checks on members, not parameters.
    - The result is the same, but this is more uniform with the rest of the code.
  * Enable joint reduction spec for 4-bar linkages.
    - As in the differential transmission, it's convenient to specify an additional
    mechanical reduction on the joint output. This is especially convenient for
    flipping the rotation direction of a joint (negative reduction value).
    - Update URDF loader.
    - Update documentation and tests.
  * Trivial, cosmetic fixes.
  * C++11 compatibility fixes.
  * Fix resource check for multi-dof transmisisons.
  * Efficiency fix.
    - cppcheck flagged a [passedByValue] warning. Using const references instead.
  * Fix compiler warning.
  * Fix license header in some files.
  * Test transmission handle duplication.
  * Use less pointers in transmission loader data.
    - Only RobotHW and RobotTransmission instances are pointers as they are owned
    by the robot hardware abstraction. The rest are plain members whose lifetime
    is bound to the loader struct.
  * Trivial test addition.
  * Remove unnecessary header dependencies.
  * Catkin fixes.
  * Fix bug when adding multiple transmissions.
    - std::vectors were being used to store raw joint data, and when new transmissions
    were added, push_back()s would (potentially) reallocate the vectors and
    invalidate already stored pointers in hardware_interfaces. We now use std::map.
    - Move plugin implementations to a separate library.
    - Export link libraries to the outside.
    - More complete tests.
  * Log message change.
  * Test greceful error-out with unsupported features.
  * Add four-bar-linkage transmission parser.
  * Add differential drive transmission parser.
  * Move common XML parsing code to TransmissionLoader
    Mechanical reductions, offsets and roles are used by many transmission types.
    The TransmissionLoader base class exposes convenience methods for parsing these
    elements.
  * Remove dead code.
  * Update loader test, better log statements.
  * First draft of transmission loading.
    - Only simple transmission type currently supported.
    - Can load forward map for act->jnt state and jnt->act pos,vel.eff commands.
    - Partial testing.
  * Add class for holding transmission interfaces.
    - Mirrors hardware_interface::RobotHW, but for transmissions.
  * Allow multiple hw interfaces, Fix #112 <https://github.com/ros-controls/ros_control/issues/112>, and test.
    - Allow to specify multiple hardware interfaces for joints and actuators.
    - Fix invalid xml_element tag. Contents are now stored as a string.
    - Unit test parser.
  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 11 May 2014 23:00:00 -0000

ros-indigo-transmission-interface (0.7.2-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-indigo-transmission-interface (0.7.1-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-indigo-transmission-interface (0.7.0-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 28 Mar 2014 00:00:00 -0000


