=== debian/control ===
Source: ros-indigo-transmission-interface
Section: misc
Priority: extra
Maintainer: Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-hardware-interface, ros-indigo-pluginlib, ros-indigo-resource-retriever, ros-indigo-roscpp
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-indigo-transmission-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-indigo-pluginlib, ros-indigo-resource-retriever, ros-indigo-roscpp
Description: Transmission Interface.
